Debian Bug report logs - #570676
libx86: FTBFS: thunk.c:44: error: impossible constraint in 'asm'

version graph

Package: src:libx86; Maintainer for src:libx86 is Anibal Monsalve Salazar <anibal@debian.org>;

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sat, 20 Feb 2010 16:57:01 UTC

Severity: important

Tags: sid, wheezy

Found in version libx86/1.1+ds1-5

Fixed in version libx86/1.1+ds1-9

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#570676; Package src:libx86. (Sat, 20 Feb 2010 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Sat, 20 Feb 2010 16:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: libx86: FTBFS: thunk.c:44: error: impossible constraint in 'asm'
Date: Sat, 20 Feb 2010 17:54:08 +0100
Source: libx86
Version: 1.1+ds1-5
Severity: important

Hi,

There was an error while trying to autobuild your package:

> Start Time: 20090911-2340

[...]

> Build-Depends: debhelper (>= 7.0.50), quilt (>= 0.46-7~)

[...]

> Toolchain package versions: libc6.1-dev_2.9-26 linux-libc-dev_2.6.30-6 g++-4.3_4.3.4-2 gcc-4.3_4.3.4-2 binutils_2.19.91.20090910-1 libstdc++6_4.4.1-3 libstdc++6-4.3-dev_4.3.4-2

[...]

> dh_auto_build -- BACKEND="x86emu"
> make[2]: Entering directory `/build/buildd-libx86_1.1+ds1-5-alpha-V1E6ld/libx86-1.1+ds1'
> make LIBRARY=static static
> make[3]: Entering directory `/build/buildd-libx86_1.1+ds1-5-alpha-V1E6ld/libx86-1.1+ds1'
> cc -g -O2   -c -o x86-common.o x86-common.c
> x86-common.c: In function 'get_int_seg':
> x86-common.c:193: warning: cast to pointer from integer of different size
> x86-common.c: In function 'get_int_off':
> x86-common.c:200: warning: cast to pointer from integer of different size
> cc -g -O2   -c -o thunk.o thunk.c
> thunk.c: In function 'LRMI_init':
> thunk.c:150: warning: initialization from incompatible pointer type
> thunk.c:154: warning: initialization from incompatible pointer type
> thunk.c:168: warning: cast from pointer to integer of different size
> thunk.c: In function 'real_call':
> thunk.c:200: warning: cast from pointer to integer of different size
> thunk.c: In function 'x_inb':
> thunk.c:44: error: impossible constraint in 'asm'
> make[3]: *** [thunk.o] Error 1
> make[3]: Leaving directory `/build/buildd-libx86_1.1+ds1-5-alpha-V1E6ld/libx86-1.1+ds1'
> make[2]: *** [default] Error 2
> make[2]: Leaving directory `/build/buildd-libx86_1.1+ds1-5-alpha-V1E6ld/libx86-1.1+ds1'
> dh_auto_build: make returned exit code 2
> make[1]: *** [override_dh_auto_build] Error 1
> make: *** [build-stamp] Error 2
> dpkg-buildpackage: error: debian/rules build gave error exit status 2
> make[1]: Leaving directory `/build/buildd-libx86_1.1+ds1-5-alpha-V1E6ld/libx86-1.1+ds1'

A full build log can be found at:
http://buildd.debian.org/build.php?arch=alpha&pkg=libx86&ver=1.1+ds1-5

The homepage and description seem to suggest that alpha (and
others?) should be supported.


Kurt





Severity set to 'serious' from 'important' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Wed, 06 Apr 2011 23:00:41 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 20 Apr 2011 13:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#570676; Package src:libx86. (Sun, 29 May 2011 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Sun, 29 May 2011 07:21:03 GMT) Full text and rfc822 format available.

Message #14 received at 570676@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: Hector Oron <zumbi@debian.org>, Kurt Roeckx <kurt@roeckx.be>
Cc: 570676@bugs.debian.org
Subject: Re: Processed: severity of 570676 is serious
Date: Sun, 29 May 2011 17:17:09 +1000
[Message part 1 (text/plain, inline)]
On Wed, Apr 06, 2011 at 11:00:42PM +0000, Debian Bug Tracking System wrote:
>Processing commands for control@bugs.debian.org:
>
>>severity 570676 serious
>Bug #570676 [src:libx86] libx86: FTBFS: thunk.c:44: error: impossible constraint in 'asm'
>Severity set to 'serious' from 'important'
>
>>thanks
>Stopping processing here.
>
>Please contact me if you need assistance.
>-- 
>570676: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=570676
>Debian Bug Tracking System
>Contact owner@bugs.debian.org with problems

Hello Hector and Kurt,

Does anyone of you have a patch for this bug?

Regards,

Aníbal
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'serious' Request was from Aníbal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 02 Jul 2011 22:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#570676; Package src:libx86. (Fri, 08 Jul 2011 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Fri, 08 Jul 2011 15:18:03 GMT) Full text and rfc822 format available.

Message #21 received at 570676@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: Debian ARM <debian-arm@lists.debian.org>, 570676@bugs.debian.org, 570676-submitter@bugs.debian.org
Subject: Re: libx86: FTBFS: thunk.c:44: error: impossible constraint in 'asm'
Date: Fri, 8 Jul 2011 17:15:35 +0200
Hello Aníbal,

2011/7/3 Aníbal Monsalve Salazar <anibal@debian.org>:

> After you changed the severity of bug 570676 to serious, I assumed you
> needed libx86 ported to armel.

Oops, I do not remember why I did that, probably result of triagging
bugs and not paying enough attention to this one.

> Anyway, if a source package has never been built on a particular
> architecture, it isn't a serious bug. I'm changing the severity of the
> bug to what it was before.

Sure, that's fine. I think we could add armel and armhf to p-a-s.

Cheers,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.

<free spam>
-- Would you like to make a donation for Debian Conference?
   ** http://debconf11.debconf.org/payments.xhtml **
</free spam>




Message sent on to Kurt Roeckx <kurt@roeckx.be>:
Bug#570676. (Fri, 08 Jul 2011 15:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#570676; Package src:libx86. (Wed, 18 Jan 2012 15:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to robotux@celest.fr:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 18 Jan 2012 15:09:06 GMT) Full text and rfc822 format available.

Message #29 received at 570676@bugs.debian.org (full text, mbox):

From: "Thomas Preud'homme" <robotux@celest.fr>
To: 570676@bugs.debian.org
Subject: Should be added to P-A-S
Date: Wed, 18 Jan 2012 16:07:33 +0100
[Message part 1 (text/plain, inline)]
The project's homepage mention alpha being supported so I looked around the 
conditionals macro about alpha to see if there was some for other achitecture. 
There is some but only in 2 files and they never mention arm. So I guess armel 
and armhf buildd should not try to build this package. Hence excluding these 
architectures as well sounds reasonable in this case.

As to the particular failure, I looked in the kernel for how in and out are 
implemented and one of the comment says:

"The ARM doesn't have special IO access instructions; all IO is memory 
mapped."

So supposing it's the only problem on ARM, these macro should probably be 
written differently on ARM.

Best regards.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#570676; Package src:libx86. (Thu, 07 Jun 2012 22:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 07 Jun 2012 22:30:05 GMT) Full text and rfc822 format available.

Message #34 received at 570676@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: debian-arm@lists.debian.org
Cc: 570676@bugs.debian.org
Subject: Re: libx86 for armhf (and armel)
Date: Fri, 8 Jun 2012 08:28:25 +1000
[Message part 1 (text/plain, inline)]
On Mon, Feb 20, 2012 at 02:47:12AM +0200, Philippe De Swert wrote:
>Hi,
>
>Does anybody know how to test if libx86 works on armhf/armel?
>As I have used a slightly different approach to get this to compile.
>Turns out the offending assembly in
>http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=597000 is just a
>macro which generates the bog standard inx (where x is b, w or l) and
>similar for outx functions in assembly.
>Looking at the libc code for x86 it is indentical and it seems to
>offer some similar functionality for arm, but I could not immediately
>locate the asm for it.
>Anyhow going on the hunch that such basic functionality probably works
>and the inx and outx functions are nicely defined in <sys/io.h> I just
>tried some ugly refdefinition when we use the x86emu to compile (as is
>the case on non-x86 platforms) (see patch attached). And it built fine
>after that.
>I am actually wondering if there is a reason to use asm instructions
>there... so that could actually been cleaned up totally.
>
>So does anybody know how to test this thing? And confirm if my hunch
>actually delivers a working solution?
>
>Thanks,
>
>Philippe

[The attached file is Philippe's patch.]

Please read http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=570676#29
[libx86-libc-test.patch.txt (text/plain, attachment)]

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. (Thu, 07 Jun 2012 23:51:05 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Thu, 07 Jun 2012 23:51:05 GMT) Full text and rfc822 format available.

Message #39 received at 570676-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 570676-close@bugs.debian.org
Subject: Bug#570676: fixed in libx86 1.1+ds1-9
Date: Thu, 07 Jun 2012 23:47:50 +0000
Source: libx86
Source-Version: 1.1+ds1-9

We believe that the bug you reported is fixed in the latest version of
libx86, which is due to be installed in the Debian FTP archive:

libx86-1_1.1+ds1-9_amd64.deb
  to main/libx/libx86/libx86-1_1.1+ds1-9_amd64.deb
libx86-dbg_1.1+ds1-9_amd64.deb
  to main/libx/libx86/libx86-dbg_1.1+ds1-9_amd64.deb
libx86-dev_1.1+ds1-9_amd64.deb
  to main/libx/libx86/libx86-dev_1.1+ds1-9_amd64.deb
libx86_1.1+ds1-9.debian.tar.bz2
  to main/libx/libx86/libx86_1.1+ds1-9.debian.tar.bz2
libx86_1.1+ds1-9.dsc
  to main/libx/libx86/libx86_1.1+ds1-9.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 570676@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated libx86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 08 Jun 2012 08:39:13 +1000
Source: libx86
Binary: libx86-dev libx86-1 libx86-dbg
Architecture: source amd64
Version: 1.1+ds1-9
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 libx86-1   - x86 real-mode library
 libx86-dbg - x86 real-mode library - debugging symbols
 libx86-dev - x86 real-mode library - development files
Closes: 398249 570676 654399 676584
Changes: 
 libx86 (1.1+ds1-9) unstable; urgency=low
 .
   * Build architectures are any-i386 and any-amd64 only
     Closes: #654399, #570676, #398249
   * Comment out "export DEB_BUILD_MAINT_OPTIONS = hardening=+all"
     Closes: #676584
Checksums-Sha1: 
 e936279956aee4f1c53d84f754e86a926c5a7fa0 1965 libx86_1.1+ds1-9.dsc
 06c5aaa9fbed6f2fd947e3fe9839ec9fc3e3fff1 5718 libx86_1.1+ds1-9.debian.tar.bz2
 ae4b433e5b54cad46def4f255e65c7ee3b1a9f87 96954 libx86-dev_1.1+ds1-9_amd64.deb
 87b2daed50d327dbd47ddac12824db385a0b5a97 85782 libx86-1_1.1+ds1-9_amd64.deb
 7829cf679db43f6a152a867ff212af3025f992c2 123824 libx86-dbg_1.1+ds1-9_amd64.deb
Checksums-Sha256: 
 80b771c59669665c0bf6503aab3e2ae4900a9b677157a2ea955de4c5e949c431 1965 libx86_1.1+ds1-9.dsc
 9f30db8d0339543001409e8b1ea03ed6996524f2435c36d6d6f42fa8380fead9 5718 libx86_1.1+ds1-9.debian.tar.bz2
 834677e2e782de0be6a037f1d611419dec4f5439619bd7f89f3e7fbee3c77d30 96954 libx86-dev_1.1+ds1-9_amd64.deb
 39b7c90cfa5c8f8e6fb50a01d213d12734d96acdd9920914af301431ef6e2e98 85782 libx86-1_1.1+ds1-9_amd64.deb
 2620645f8200d2b96c3081cbb5e25a54b843321b87c5c64471d8d0b6544fbbc1 123824 libx86-dbg_1.1+ds1-9_amd64.deb
Files: 
 23d6fea0f0be13ca15d219cd94dba5b0 1965 libs optional libx86_1.1+ds1-9.dsc
 e7129acc52b15debad17e5f0d1040ea2 5718 libs optional libx86_1.1+ds1-9.debian.tar.bz2
 c7ab45e02a756f38735401c6d4e70209 96954 libdevel optional libx86-dev_1.1+ds1-9_amd64.deb
 d61f27b57a6ddf767c1f4316240fe6df 85782 libs optional libx86-1_1.1+ds1-9_amd64.deb
 4a9274bd6ef5fdd88c4ca91bbb3d6755 123824 debug extra libx86-dbg_1.1+ds1-9_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP0TqNAAoJEHxWrP6UeJfYa8MP/1jfY2IKWig2XiN6Di9D3nbh
xAh3WOKc+mr9viH49mYddhRd25MRwpwi8G1H1LSZd0w8xpSEJjXOkVqAhyckcNc9
kMlChidEEk5Z0ZvgI+y+FUXkdCB+fVLj/RYesFvFjnamJUG3810boHDeOU7q3CD3
8M26mdUtQKSTWBjAd+FQJgtKF0SYR55FBk1HbGC0VSfGB14O2kTFwYu8NLXqwGmr
0/P/DXZIfXhWCi/CTiZjgrHF6O1wuMn9/FvtQ+gKOXW2ThRINNwDxbBnqomvrnTl
IC3VmSWgX6kUJWq1AWQ9vOoVQEynUxZTTjPQtKL5ybcrJG3CJ37GyRSWhQ6//QJX
fPNy5IdoWPlMx8e9OGS5w4wTade/QhKyyUapZ/SGw6iMXHcsQ99GrdWSgzexcagp
YJthIbG6cd9jVLswNHzpBQ6c5sYjb2dufKeqkuCQW6HEAF4RLHl04rkTDOjjQOB/
QWd67L6kOsKVThjOU1Rqk0tLPjQ14/oGv/7YEWFfx6YQUzXqevIBYZu918Vi0XL9
PtUeuHmeXFa3WLkiOCccjgpa8RZnKb/ipErEKuVrZ/kt0Y/dTQlkd7Ta1mJ0XGDT
NFimpQyXpm4XboCGF5asUpi+KKajmVmafCVaSE3HS2GTDVPVKSFt1gG6TnsP8h4A
p6oQkm5aFqVhykpiAsrI
=lPVi
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Jul 2012 07:30:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:16:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.